extends GPUParticles2D

var following = false

func _ready():
	emitting = true
	one_shot = true
	
	await get_tree().create_timer(lifetime * 2).timeout
	queue_free()

func _process(_delta):
	if following:
		global_position = get_parent().global_position
